Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ConnectorConnectionPoolConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Description, NamedConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface ConnectorConnectionPoolConfig
extends NamedConfigElement, Description, PropertiesAccess

Configuration for the <connector-connection-pool> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.Description
`DESCRIPTION_KEY`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Method Summary
`java.lang.String` | `getConnectionDefinitionName()`
`boolean` | `getFailAllConnections()`
`java.lang.String` | `getIdleTimeoutInSeconds()`
`java.lang.String` | `getMaxPoolSize()`
`java.lang.String` | `getMaxWaitTimeInMillis()`
`java.lang.String` | `getPoolResizeQuantity()`
`java.lang.String` | `getResourceAdapterName()`
`java.lang.String` | `getSteadyPoolSize()`
`java.lang.String` | `getTransactionSupport()`
`void` | `setConnectionDefinitionName(java.lang.String value)`
`void` | `setFailAllConnections(boolean value)`
`void` | `setIdleTimeoutInSeconds(java.lang.String value)`
`void` | `setMaxPoolSize(java.lang.String value)`
`void` | `setMaxWaitTimeInMillis(java.lang.String value)`
`void` | `setPoolResizeQuantity(java.lang.String value)`
`void` | `setResourceAdapterName(java.lang.String value)`
`void` | `setSteadyPoolSize(java.lang.String value)`
`void` | `setTransactionSupport(java.lang.String value)` Legal values are as defined in `TransactionSupportValues`.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.Description
`getDescription, setDescription`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getConnectionDefinitionName

    public java.lang.String getConnectionDefinitionName()

### setConnectionDefinitionName

    public void setConnectionDefinitionName(java.lang.String value)

### getFailAllConnections

    public boolean getFailAllConnections()

### setFailAllConnections

    public void setFailAllConnections(boolean value)

### getIdleTimeoutInSeconds

    public java.lang.String getIdleTimeoutInSeconds()

### setIdleTimeoutInSeconds

    public void setIdleTimeoutInSeconds(java.lang.String value)

### getMaxPoolSize

    public java.lang.String getMaxPoolSize()

### setMaxPoolSize

    public void setMaxPoolSize(java.lang.String value)

### getMaxWaitTimeInMillis

    public java.lang.String getMaxWaitTimeInMillis()

### setMaxWaitTimeInMillis

    public void setMaxWaitTimeInMillis(java.lang.String value)

### getPoolResizeQuantity

    public java.lang.String getPoolResizeQuantity()

### setPoolResizeQuantity

    public void setPoolResizeQuantity(java.lang.String value)

### getResourceAdapterName

    public java.lang.String getResourceAdapterName()

### setResourceAdapterName

    public void setResourceAdapterName(java.lang.String value)

### getSteadyPoolSize

    public java.lang.String getSteadyPoolSize()

### setSteadyPoolSize

    public void setSteadyPoolSize(java.lang.String value)

### getTransactionSupport

    public java.lang.String getTransactionSupport()

  See Also:
    `TransactionSupportValues`

### setTransactionSupport

    public void setTransactionSupport(java.lang.String value)

  Legal values are as defined in `TransactionSupportValues`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.